%PLOTHIP.M will pull the data out of the structure and plot for hip#4

%function [data,params]=plothip(option)

%if nargin==0
if exist('data')==0
    filename=uigetfile('*.mat');
    eval(['load ' filename])
    fprintf('File selected:  %s',filename);
% else
%     if option==1
%         if exist(data)==0
%             error('''data'' variarble does not exis!!')
%         end
%     end
end        

time=double([data.time]');
Hip_wing_angle=double([data.Hip_wing_angle]')/pi*180;
Hip_wing_target_pos=double([data.Hip_wing_target_pos]')/pi*180;
Hip_crank_angle=double([data.Hip_crank_angle]')/pi*180;
Hip_crank_target_pos=double([data.Hip_crank_target_pos]')/pi*180;
if (isfield(data,'Motor_current'))
    Motor_current=double([data.Motor_current]');
    [B,A]=butter(5,.05);
    Motor_current=filtfilt(B,A,Motor_current);
end


figure, hold on
%plot(time,Hip_wing_angle(:,4),'b',time,Hip_wing_target_pos(:,4),'g-.')
%plot(time,Motor_current(:,7),'m:',time,Motor_current(:,8),'k:')

[ax,h1,h2]=plotyy(time,[Hip_wing_angle(:,4) Hip_wing_target_pos(:,4)],time,Motor_current(:,7));
%Use get(handle) to list the properties
ax(3)=get(ax(1),'XLabel');
ax(4)=get(ax(1),'YLabel');
ax(5)=get(ax(2),'YLabel');
set(h1,'LineWidth',2)
set(h2,'LineStyle',':','LineWidth',0.1)
set(ax(1),'YLim',[30 80],'YTickMode','auto')
set(ax(2),'YLim',[0 3],'YTickMode','auto')
set(ax(3),'String','Time [s]')
set(ax(4),'String','Angle [deg]')
set(ax(5),'String','Current [Amps]')
title('Hip #4 - Wing Angle')
legend([h1;h2],'Actual','Target','Motor #4a')
if exist('filename')
    title([filename ' : Hip #4 - Wing Angle'])
end

figure, hold on
[ax,h1,h2]=plotyy(time,[Hip_crank_angle(:,4) Hip_crank_target_pos(:,4)],time,Motor_current(:,8));
%Use get(handle) to list the properties
ax(3)=get(ax(1),'XLabel');
ax(4)=get(ax(1),'YLabel');
ax(5)=get(ax(2),'YLabel');
set(h1,'LineWidth',2)
set(h2,'LineStyle',':','LineWidth',0.1)
set(ax(1),'YLim',[-180 360],'YTickMode','auto')
set(ax(2),'YLim',[0 3],'YTickMode','auto')
set(ax(3),'String','Time [s]')
set(ax(4),'String','Angle [deg]')
set(ax(5),'String','Current [Amps]')
title('Hip #4 - Wing Angle')
legend([h1;h2],'Actual','Target','Motor #4b')
if exist('filename')
    title([filename ' : Hip #4 - Crank Angle'])
end

figure
plot(time,Motor_current(:,7),'m',time,Motor_current(:,8),'k')
title('Hip #4 - Motor Current')
xlabel('Time (s)')
ylabel('Current (Amps)')
legend('Motor #4a','Motor #4b')
if exist('filename')
    title([filename ' : Hip #4 - Motor Current'])
end

clear params